Subject: bug#71120: 29.3; buglet in cl-loop

From: Philippe Schnoebelen <[email-masked]>
Date: Wed, 22 May 2024 10:43:36 +0200

When I need a list of 100 random dice throws I write

	(cl-loop for i from 1 to 100 collect (random 6))

It compiles just fine.

If instead I use

	(cl-loop for _i from 1 to 100 collect (random 6))

then I get a compilation warning:

	foo.el:1:18: Warning: variable ‘_i’ not left unused

It should be the other way around.

The variable 'i' is unused in the first form and that deserves a warning 
at compile time. Otherwise the compiler will not help me catch the typo in

	(cl-loop for i from 0 to 10 do
	   (cl-loop for j from 0 to 10 do
	      (foo j j))) ;; <<<=== typo, I meant (foo i j)

--ph.schnoebelen, happy and thankful GNU Emacs user since 1983 (Thanks 
to all involved!!)